Subject: Re: [RFC] GIT user survey

From: Pavel Roskin <[email-masked]>
Date: Thu, 06 Jul 2006 01:09:38 -0400

On Tue, 2006-07-04 at 17:28 +0200, Jakub Narebski wrote:
> Paolo Ciarrocchi wrote:
> 
> > I was wondering whether it could be a good idea to have a kind of "GIT
> > users survey" when google pointed my eyes to this page:
> > http://www.selenic.com/pipermail/mercurial/2006-April/007513.html
> > 
> > So I modified the content of the survey and published a DRAFT here:
> > http://paolo.ciarrocchi.googlepages.com/GITSurvey
> 
> Could you please add the final version (and of course results) on
> Git Wiki (http://git.or.cz/gitwiki), like original one is on Mercurial
> wiki: http://www.selenic.com/mercurial/wiki/index.cgi/UserSurvey ?
> 
> Thanks in advance
> 
> P.S. I wonder why my Mozilla 1.7.12 sees GITSurvey as binary/octet-stream
> instead of text/plain file...

It's not a Mozilla thing.  It's a server configuration.

$ wget http://paolo.ciarrocchi.googlepages.com/GITSurvey
--00:52:45--  http://paolo.ciarrocchi.googlepages.com/GITSurvey
           => `GITSurvey'
Resolving paolo.ciarrocchi.googlepages.com... 64.233.179.93,
64.233.179.91
Connecting to paolo.ciarrocchi.googlepages.com|64.233.179.93|:80...
connected.
HTTP request sent, awaiting response... 200 OK
Length: 2,078 (2.0K) [application/octet-stream]

Regarding the questions (sorry, I could have missed comments of others):

  What is your preferred language?

Preferred to type or preferred to speak?  There answer is not always the
same, at least for me.

  How did you hear about GIT?

With my own ears.  "How did you learn about GIT" would be better because
many respondents probably _read_ about GIT first.

s/histoty/history
s/porcellains/porcelains/

What is the "history depth"?  How do I measure it?

  Which porcelains do you use?

Which child did you abuse today?  Let's avoid loaded questions.  Some
people are just fine with bare git.

Have you tried to get GIT help from other people?

  Better: Have you asked other people to help you with GIT? 

-- 
Regards,
Pavel Roskin